// HrLocal.java

package hr;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

public interface HrLocal extends EJBLocalObject
{
    //Department methods
    public void addDept(Dept dept)
        throws CreateException;

    public void removeDept(Dept dept)
        throws RemoveException;

    public void setDept(Dept dept)
        throws FinderException;

    public Collection getDepts()
        throws FinderException;

    public Collection getDeptEmployees(Dept dept)
        throws FinderException;

    //Employee methods
    public void addEmp(Emp emp)
        throws CreateException;

    public void removeEmp(Emp emp)
        throws RemoveException;

    public void setEmp(Emp emp)
        throws FinderException;

    public Collection getEmps()
        throws FinderException;

    public Address getEmpAddress(Emp emp)
        throws FinderException;

    public void setEmpAddress(Emp emp, Address address)
        throws FinderException;

    public Dept getEmpDepartment(Emp emp)
        throws FinderException;

    public void setEmpDepartment(Emp emp, Dept dept)
        throws FinderException;

    public Collection getEmpProjects(Emp emp)
        throws FinderException;

    public void setEmpProjects(Emp emp, Collection projects)
        throws FinderException;

    public Collection getEmpPhones(Emp emp)
        throws FinderException;

    public void setEmpPhones(Emp emp, Collection phones)
        throws FinderException;

    public Emp getEmpManager(Emp emp)
        throws FinderException;

    public void setEmpManager(Emp emp, Emp mgr)
        throws FinderException;

    public Collection getMgrDirects(Emp mgr)
        throws FinderException;

    public void setMgrDirects(Emp mgr, Collection directs)
        throws FinderException;

    //Project methods
    public void addProject(Project project)
        throws CreateException;

    public void removeProject(Project project)
        throws RemoveException;

    public void setProject(Project project)
        throws FinderException;

    public Collection getProjects()
        throws FinderException;

    public Collection getProjectEmployees(Project project)
        throws FinderException;

    public void setProjectEmployees(Project project, Collection emps)
        throws FinderException;

}
